
Foreman - Bug #8794

Smart variable validation stops after first error

12/28/2014 04:04 AM - Tomer Brisker

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Parameters   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Filling invalid values in multiple fields only raises validation error on first invalid field and stops validation.

Expected behaviour - all invalid fields are marked as invalid.

Related issues:

Is duplicate of Foreman - Bug #12805: lookup values not validating when paren... Closed 12/14/2015

History

#1 - 12/28/2014 04:04 AM - Tomer Brisker

- Subject changed from Smanrt variable validation stops after first error to Smart variable validation stops after first error

#2 - 02/17/2016 06:43 AM - Tom Caspy

seems like a duplicate of another ticket I've already fixed.

#3 - 02/17/2016 06:45 AM - Tom Caspy

- Status changed from New to Duplicate

dup of 12805

#4 - 02/17/2016 06:45 AM - Tom Caspy

- Is duplicate of Bug #12805: lookup values not validating when parent key is invalid added
